%global pkg_name        Set-Object
%global pkg_version     1.22
%global rpm_pkg_version 1.22
%global rpm_pkg_release 1.n0i.12

Summary:       Set of Objects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SAMV/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
This modules implements a set of objects, that is, an unordered collection of
objects without duplication.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Tue Oct 09 2007 Marius Feraru <altblue@n0i.net> - 1.22-1.n0i.12
- version 1.22

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.21-1.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.21

* Wed Jun 21 2006 Marius Feraru <altblue@n0i.net> - 1.15-1.n0i.10
- version 1.15

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.14-1.n0i.9
- version 1.14

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 1.13-1.n0i.8
- version 1.13

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 1.12-1.n0i.7
- version 1.12

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.11-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.08-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.08-1.n0i.4
- version 1.08

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.06-1.n0i.3
- version 1.06
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.05-0.n0i.2
- version 1.05
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Oct 01 2003 Marius FERARU <altblue@n0i.net> 1.04-0.n0i
- version 1.04
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
